Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.util
Interface DocumentFactory

All Known Subinterfaces:
  SVGDocumentFactory

All Known Implementing Classes:
  SAXDocumentFactory, SAXSVGDocumentFactory

    public interface DocumentFactory

This interface represents an object which can build a Document.

Method Summary
`Document` | `createDocument(String ns, String root, String uri)` Creates a Document instance.
`Document` | `createDocument(String ns, String root, String uri, InputStream is)` Creates a Document instance.
`Document` | `createDocument(String ns, String root, String uri, Reader r)` Creates a Document instance.
`Document` | `createDocument(String ns, String root, String uri, XMLReader r)` Creates a Document instance.
`DocumentDescriptor` | `getDocumentDescriptor()` Returns the document descriptor associated with the latest created document.
`boolean` | `isValidating()` Returns true if the XML stream has to be validated, false otherwise.
`void` | `setValidating(boolean isValidating)` Sets whether or not the XML stream has to be validate, depending on the specified parameter.

Method Detail

### setValidating

    void setValidating(boolean isValidating)

  Sets whether or not the XML stream has to be validate, depending on the specified parameter.

  Parameters:
    `isValidating` - true implies the XML stream will be validated

### isValidating

    boolean isValidating()

  Returns true if the XML stream has to be validated, false otherwise.

### createDocument

    Document createDocument(String ns,
                            String root,
                            String uri)
                            throws IOException

  Creates a Document instance.

  Parameters:
    `ns` - The namespace URI of the root element of the document.
    `root` - The name of the root element of the document.
    `uri` - The document URI.
  Throws:
    `IOException` - if an error occured while reading the document.

### createDocument

    Document createDocument(String ns,
                            String root,
                            String uri,
                            InputStream is)
                            throws IOException

  Creates a Document instance.

  Parameters:
    `ns` - The namespace URI of the root element of the document.
    `root` - The name of the root element of the document.
    `uri` - The document URI.
    `is` - The document input stream.
  Throws:
    `IOException` - if an error occured while reading the document.

### createDocument

    Document createDocument(String ns,
                            String root,
                            String uri,
                            XMLReader r)
                            throws IOException

  Creates a Document instance.

  Parameters:
    `ns` - The namespace URI of the root element of the document.
    `root` - The name of the root element of the document.
    `uri` - The document URI.
    `r` - An XMLReader instance
  Throws:
    `IOException` - if an error occured while reading the document.

### createDocument

    Document createDocument(String ns,
                            String root,
                            String uri,
                            Reader r)
                            throws IOException

  Creates a Document instance.

  Parameters:
    `ns` - The namespace URI of the root element of the document.
    `root` - The name of the root element of the document.
    `uri` - The document URI.
    `r` - The document reader.
  Throws:
    `IOException` - if an error occured while reading the document.

### getDocumentDescriptor

    DocumentDescriptor getDocumentDescriptor()

  Returns the document descriptor associated with the latest created document.

  Returns:
    null if no document or descriptor was previously generated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.